RuntimeProcess (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.RuntimeProcess interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys
Interface RuntimeProcess

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  AddressSpace, AppProcess, Db2ServerProcess, JavaRuntimeProcess, OracleServerProcess, SMSServerProcess, SybaseEngineProcess, SybaseServerProcess, UnixProcess

    public interface RuntimeProcess

extends LogicalElement

Naming Rules:
  0="parent,PID" 1="managedSystemName"
Persistable:
  true
Table Name:
  RTPROC
Top Level:
  true
Display Name:
  parent,command

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getCmdLine()`
`java.lang.String` | `getCommand()`
`LogicalConnection[]` | `getConnections()`
`java.lang.String` | `getCWD()`
`java.lang.String` | `getEnv()`
`DataFile` | `getExecutable()`
`int` | `getFileDescriptorLimit()`
`ProcessFileSystemMapping[]` | `getFileSystemMappings()`
`BindAddress[]` | `getListenPorts()`
`OperatingSystem` | `getParent()`
`long` | `getPID()`
`BindAddress[]` | `getPorts()`
`long` | `getPPID()`
`TcpPort[]` | `getTcpPorts()`
`int` | `getUID()`
`boolean` | `getUnattached()`
`java.lang.String` | `getUser()`
`WindowsService[]` | `getWindowsServices()`
`boolean` | `hasCmdLine()`
`boolean` | `hasCommand()`
`boolean` | `hasConnections()`
`boolean` | `hasCWD()`
`boolean` | `hasEnv()`
`boolean` | `hasExecutable()`
`boolean` | `hasFileDescriptorLimit()`
`boolean` | `hasFileSystemMappings()`
`boolean` | `hasListenPorts()`
`boolean` | `hasParent()`
`boolean` | `hasPID()`
`boolean` | `hasPorts()`
`boolean` | `hasPPID()`
`boolean` | `hasTcpPorts()`
`boolean` | `hasUID()`
`boolean` | `hasUnattached()`
`boolean` | `hasUser()`
`boolean` | `hasWindowsServices()`
`void` | `setCmdLine(java.lang.String cmdLine)`
`void` | `setCommand(java.lang.String cmd)`
`void` | `setConnections(LogicalConnection[] conns)`
`void` | `setCWD(java.lang.String cwd)`
`void` | `setEnv(java.lang.String env)`
`void` | `setExecutable(DataFile file)`
`void` | `setFileDescriptorLimit(int i)`
`void` | `setFileSystemMappings(ProcessFileSystemMapping[] mappings)`
`void` | `setListenPorts(BindAddress[] ports)`
`void` | `setParent(OperatingSystem parent)`
`void` | `setPID(long pid)`
`void` | `setPorts(BindAddress[] ports)`
`void` | `setPPID(long ppid)`
`void` | `setTcpPorts(TcpPort[] ports)`
`void` | `setUID(int uid)`
`void` | `setUnattached(boolean b)`
`void` | `setUser(java.lang.String cmd)`
`void` | `setWindowsServices(WindowsService[] services)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getParent

    OperatingSystem getParent()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.RunsOn" reverse="false"

### setParent

    void setParent(OperatingSystem parent)

### hasParent

    boolean hasParent()

### getPID

    long getPID()
                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPID

    void setPID(long pid)

### hasPID

    boolean hasPID()

### getPPID

    long getPPID()
                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPPID

    void setPPID(long ppid)

### hasPPID

    boolean hasPPID()

### getUID

    int getUID()
               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUID

    void setUID(int uid)

### hasUID

    boolean hasUID()

### getExecutable

    DataFile getExecutable()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Realizes" reverse="true"

### setExecutable

    void setExecutable(DataFile file)

### hasExecutable

    boolean hasExecutable()

### getCommand

    java.lang.String getCommand()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCommand

    void setCommand(java.lang.String cmd)

### hasCommand

    boolean hasCommand()

### getUser

    java.lang.String getUser()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUser

    void setUser(java.lang.String cmd)

### hasUser

    boolean hasUser()

### getCmdLine

    java.lang.String getCmdLine()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCmdLine

    void setCmdLine(java.lang.String cmdLine)

### hasCmdLine

    boolean hasCmdLine()

### getCWD

    java.lang.String getCWD()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCWD

    void setCWD(java.lang.String cwd)

### hasCWD

    boolean hasCWD()

### getEnv

    java.lang.String getEnv()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEnv

    void setEnv(java.lang.String env)

### hasEnv

    boolean hasEnv()

### getWindowsServices

    WindowsService[] getWindowsServices()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Performs" reverse="false"

### setWindowsServices

    void setWindowsServices(WindowsService[] services)

### hasWindowsServices

    boolean hasWindowsServices()

### getTcpPorts

    TcpPort[] getTcpPorts()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AccessedVia" reverse="false"

### setTcpPorts

    void setTcpPorts(TcpPort[] ports)

### hasTcpPorts

    boolean hasTcpPorts()

### getPorts

    BindAddress[] getPorts()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setPorts

    void setPorts(BindAddress[] ports)

### hasPorts

    boolean hasPorts()

### getListenPorts

    BindAddress[] getListenPorts()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AccessedVia" reverse="false"

### setListenPorts

    void setListenPorts(BindAddress[] ports)

### hasListenPorts

    boolean hasListenPorts()

### getConnections

    LogicalConnection[] getConnections()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setConnections

    void setConnections(LogicalConnection[] conns)

### hasConnections

    boolean hasConnections()

### getFileDescriptorLimit

    int getFileDescriptorLimit()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setFileDescriptorLimit

    void setFileDescriptorLimit(int i)

### hasFileDescriptorLimit

    boolean hasFileDescriptorLimit()

### getFileSystemMappings

    ProcessFileSystemMapping[] getFileSystemMappings()
                                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"
  Containment Relationship:
    true

### setFileSystemMappings

    void setFileSystemMappings(ProcessFileSystemMapping[] mappings)

### hasFileSystemMappings

    boolean hasFileSystemMappings()

### getUnattached

    boolean getUnattached()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUnattached

    void setUnattached(boolean b)

### hasUnattached

    boolean hasUnattached()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD